services:
  onlyoffice:
    image: ${ONLYOFFICE_IMAGE:-onlyoffice/documentserver:8.1.0.1}
    container_name: seafile-onlyoffice
    restart: unless-stopped
    environment:
      - JWT_ENABLED=true
      - JWT_SECRET=${ONLYOFFICE_JWT_SECRET:?Variable is not set or empty}
    volumes:
      - "${ONLYOFFICE_VOLUME:-/opt/onlyoffice}:/var/lib/onlyoffice"
    ports:
      - "127.0.0.1:6233:80"
    extra_hosts:
      - "docs.alogins.net:host-gateway"
    networks:
      - seafile-net

networks:
  seafile-net:
    name: seafile-net
